PETSc version 3.15.5
Fix/Edit manual page

# PetscDSGetCoordinateDimension

Returns the coordinate dimension of the DS, meaning the dimension of the space into which the discretiaztions are embedded

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetCoordinateDimension(PetscDS prob, PetscInt *dimEmbed)

Not collective

### Input Parameter

| prob | - The PetscDS object

### Output Parameter

| dimEmbed | - The coordinate dimension

### See Also

PetscDSSetCoordinateDimension(), PetscDSGetSpatialDimension(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages